Subject: Re: Cannot start EXWM without a display manager

From: Rutherther <[email-masked]>
Date: Sat, 19 Oct 2024 18:18:30 +0200

> If I add the startx service, the window manager is initialized but it does not react to any keyboard or touchpad input.
>

Double check the startx you are starting is coming
from the service, and is not shadowed by another startx that
would come from other package like xinit. You can check that by
looking at the realpath of the executable you are executing
when you start startx. It should be under path with name
startx-wrapper, not under something else like xinit.

> I'm using this config for xorg:
>
> (service xorg-server-service-type)
> (set-xorg-configuration

Do not use set-xorg-configuration when using
startx-command-service-type. Instead, put the config
you had in set-xorg-configuration to startx-command-service-type.
set-xorg-configuration is specifically for a display manager
that comes with it.

> (xorg-configuration
> (keyboard-layout keyboard-layout)
> (extra-config
> '("Section \"InputClass\"\n"
> " Identifier \"libinput touchpad catchall\"\n"
> " Driver \"libinput\"\n"
> " MatchIsTouchpad \"on\"\n"
> " MatchDevicePath \"/dev/input/event*\"\n"
> " Option \"Tapping\" \"on\"\n"
> " Option \"TappingDrag\" \"on\"\n"
> " Option \"DisableWhileTyping\" \"on\"\n"
> "EndSection\n"
> "\n"
> "Section \"InputClass\"\n"
> " Identifier \"USB Mouse Pad USB Mouse Pad Mouse\"\n"
> " Driver \"libinput\"\n"
> " Option \"Middle Emulation\" \"on\"\n"
> " Option \"AccelSpeed\" \"1.0\""
> "EndSection\n"
> "\n"
> "Section \"Device\"\n"
> " Identifier \"Intel Graphics\"\n"
> " Driver \"intel\"\n"
> " Option \"TearFree\" \"True\"\n"
> " Option \"DRI\" \"2\"\n"
> " Option \"AccelMethod\" \"sna\"\n"
> "EndSection"
> "\n"))))
>
> -------- Original Message --------
> On Oct 19, 2024, 09:15, Rutherther wrote:
>
>> That should be the minimal config, yes. You can pass the configuration to configure your keyboard layout and such. The config is very similar to gdm-service-type, but instead of giving out a display manager it gives out startx command that should be used, because it has proper paths to xorg modules, config... Oleander writes: > Hi Rutherther, > no, I haven't. Do I only need to add `(service startx-command-service-type)` to my services? > > Thank you! > > -------- Original Message -------- > On Oct 18, 2024, 22:30, Rutherther wrote: > >> Hello Oleander, so have you used the `startx-command-service-type` to get the proper startx command? Regards, Rutherther